IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Members

Organization members.

The member object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this member is defined in

user_iduuid
user_profiles.user_id

Identifier of the related user

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

role"user" | "admin" | "superuser"

Role of the member

The member object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "user_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:19:01.541Z",
  "updated_at": "2026-03-12T05:19:01.541Z",
  "role": "user"
}

List members

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this member is defined in

user_idFilter<uuid>
user_profiles.user_id

Identifier of the related user

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

roleFilter<"user" | "admin" | "superuser">

Role of the member

Responses

200

A list of members with the selected columns

206

Partial Content

GET /members
curl -X GET "https://api.bookingmood.com/v1/members?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Invite member

Invite a member to your organization. The member will receive an email with a link to accept the invitation. The member will have the user role. To make a member admin or superuser use the dashboard.

Body

emailrequiredstring

The email address of the member to invite.

languageLanguage

The member's preferred language.

namestring

The name of the member to invite.

Responses

201

The invited member with user profile information

POST /members
curl -X POST "https://api.bookingmood.com/v1/members" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "email": "johndoe@example.com",
    "name": "John Doe"
  }'
Example response

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "user_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:19:01.541Z",
  "updated_at": "2026-03-12T05:19:01.541Z",
  "role": "user",
  "user_profile": {
    "referrer_id": "00000000-0000-0000-0000-000000000000",
    "user_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-03-12T05:19:01.541Z",
    "updated_at": "2026-03-12T05:19:01.541Z",
    "avatar": "",
    "email": "",
    "first_week_contains_date": 0,
    "language": "en-US",
    "last_login_at": "2026-03-12T05:19:01.541Z",
    "name": "",
    "source": "",
    "week_starts_on": 0
  }
}

Revoke member

Revoke a member from your organization. The member will no longer have access to your organization. Only works for members with the user role. To revoke an admin or superuser members use the dashboard.

Parameters

idrequireduuid

The identifier of the member to revoke.

Responses

200

The deleted member

DELETE /members
curl -X DELETE "https://api.bookingmood.com/v1/members?id=00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"